<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:overScrollMode="never"
    android:background="@color/white_bg">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:gravity="center_horizontal">

        <ImageView
            android:layout_width="@dimen/_150sdp"
            android:layout_height="@dimen/_150sdp"
            android:src="@drawable/welcome_img"
            android:contentDescription="@string/welcome_illustration"
            android:layout_marginTop="30dp"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/welcome_to_simplitend"
            android:fontFamily="@font/nunito_semibold"
            android:textColor="@color/black"
            android:textSize="@dimen/_24ssp"
            android:textAlignment="center"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/sign_in_to_continue"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:textSize="@dimen/_18ssp"
            android:textAlignment="center"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/enter_email_address_"
            android:fontFamily="@font/nunito_medium"
            android:textColor="@color/black"
            android:layout_gravity="start"
            android:textSize="@dimen/_16ssp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="35sp"
            />

        <EditText
            android:id="@+id/email"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/edit_text_bg_3"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:hint="@string/enter_your_email"
            android:paddingVertical="15sp"
            android:paddingHorizontal="15dp"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:textColorHint="#5B5B5B"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:drawableStart="@drawable/ic_email_outline"
            android:drawablePadding="20dp"

            android:autofillHints="emailAddress"
            android:inputType="textEmailAddress"
            android:maxLines="1"

            android:maxLength="255"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/enter_password"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_medium"
            android:textColor="@color/black"
            android:textSize="@dimen/_16ssp"
            />

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:layout_marginBottom="5dp"

            app:hintEnabled="false"
            app:expandedHintEnabled="false"
            app:hintAnimationEnabled="false"

            android:background="@android:color/transparent"

            app:boxStrokeWidth="0dp"
            app:boxStrokeWidthFocused="0dp"
            app:passwordToggleDrawable="@drawable/password_toggle"
            app:passwordToggleEnabled="true"

            >

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/edit_text_bg_3"

                android:hint="@string/enter_your_password"
                android:paddingVertical="15sp"
                android:paddingHorizontal="10dp"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@color/black"
                android:textColorHint="#5B5B5B"

                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                android:drawableStart="@drawable/ic_lock_outline"
                android:drawablePadding="20dp"

                android:autofillHints="password"
                android:inputType="textPassword"
                android:maxLines="1"

                android:maxLength="16"
                />

        </com.google.android.material.textfield.TextInputLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

<!--            <androidx.appcompat.widget.AppCompatCheckBox-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_gravity="start"-->
<!--                android:layout_marginHorizontal="15dp"-->
<!--                android:text="@string/remember_me"-->
<!--                android:fontFamily="@font/nunito_regular"-->
<!--                android:textColor="@color/black"-->
<!--                android:textSize="@dimen/_14ssp"-->
<!--                android:checked="false"-->
<!--                android:button="@drawable/remember_me_selector"-->
<!--                android:paddingHorizontal="10dp"-->
<!--                android:background="@android:color/transparent"-->

<!--                android:layout_centerVertical="true"-->
<!--                />-->

            <TextView
                android:id="@+id/forgot_password"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="20dp"
                android:layout_marginEnd="15dp"
                android:fontFamily="@font/nunito_medium"
                android:padding="5dp"
                android:text="@string/forgot_password"
                android:textSize="@dimen/_14ssp"
                android:textColor="@color/color_primary"

                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"

                />

        </RelativeLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/sign_in_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:text="@string/login"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/white_bg"
            android:paddingVertical="15dp"
            app:backgroundTint="@color/color_primary"
            app:cornerRadius="25dp"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            />

        <TextView
            android:id="@+id/register_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="20dp"
            android:fontFamily="@font/nunito_medium"
            android:padding="5dp"

            android:text="@string/new_here_register_as_a_caregiver"
            android:textSize="@dimen/_14ssp"
            android:textColor="@color/black"

            />

    </LinearLayout>

</ScrollView>